Permalink
Switch branches/tags
Nothing to show
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
87 lines (65 sloc) 2.93 KB
---
title: Contrast Security Service Broker for PCF
owner: Partners
---
<style>
.note.warning {
background-color: #fdd;
border-color: #fbb
}
.note.warning:before {
color: #f99;
}
</style>
This documentation describes the Contrast Security Service Broker for PCF.
The Contrast Security Service Broker for PCF tile registers a service broker, allows users to define service plans, and exposes these plans on the Marketplace.
Developers can bind Contrast credentials to applications by creating instances of the service plans using Apps Manager or the Cloud Foundry
Command Line Interface (cf CLI) tool.
Instrument your applications with Contrast Security Service Broker for PCF to gain real-time visibility to
vulnerabilities in your application and to defend them against attacks.
Contrast integrates with your existing software development life cycle (SDLC) processes to provide a way to view and fix
vulnerabilities in your code and protect your applications.
## <a id='overview'></a>Overview
Contrast Security Service Broker for PCF includes the following key features:
* Create and manage multiple service plans for different organizations.
* Bind Contrast credentials to applications.
## <a id="snapshot"></a>Product Snapshot
<p class='note'><strong>Note:</strong> As of PCF v2.0, Elastic Runtime is renamed Pivotal Application Service (PAS).</p>
The following table provides version and version support information about Contrast Security Service Broker for PCF.
<table class="nice">
<th>Element</th>
<th>Details</th>
<tr>
<td>Version</td>
<td>v1.0.2</td>
</tr>
<tr>
<td>Release date</td>
<td>May 3, 2018</td>
</tr>
<tr>
<td>Software component version</td>
<td>v1.0.2</td>
</tr>
<tr>
<td>Compatible Ops Manager version(s)</td>
<td>v1.11.x, v1.12.x, v2.0.x, and v2.1.x</td>
</tr>
<tr>
<td>Compatible Pivotal Application Service version(s)</td>
<td>v1.11.x, v1.12.x, v2.0.x, and v2.1.x</td>
</tr>
<tr>
<td>IaaS support</td>
<td>AWS, Azure, GCP, OpenStack, and vSphere</td>
</tr>
</table>
## <a id="reqs"></a>Requirements
Contrast Security Service Broker for PCF has the following requirements:
+ A Contrast Security account
## <a id="limitations"></a>Limitations
+ If you bind a service instance to an application that is not using the default CloudFoundry Java Buildpack(or a fork) version 3.20+ or version 4.18+ the agent will not be downloaded.
## <a id="feedback"></a>Feedback
Please provide any bugs, feature requests, or questions to the [Pivotal Cloud Foundry Feedback](mailto:pivotal-cf-feedback@pivotal.io) list or send an email to [Contrast Security Support](mailto:support@contrastsecurity.com).
## <a id='license'></a>License
If you are interested in purchasing licenses or receiving a demo please <a href="https://www.contrastsecurity.com/demo">request a demo</a>.